---
title: Build and run the chatbot
---

1. You must first configure matrix login, every variable in [the_reference](../reference/chatbot_configuration.md) is mandatory.

```env
CRIEUR_MATRIX_USER=user
CRIEUR_MATRIX_PASSWORD=password
CRIEUR_MATRIX_HOMESERVER=https://homeserv.er
CRIEUR_MATRIX_ROOMS=roomid1,roomid2,
```

You can put it in a `.env` file.

2. Run the chatbot

**Using `podman` (or another container tool, like `docker`)**
```
podman build --file ./containers/chatbot.containerfile -t crieur-chatbot .
podman run --env-file .env --rm -i -t crieur-chatbot
```

**Using `cargo` (for development)**
```
cargo run --release --bin crieur-chatbot
```
